Bug 122863 - Enhancement: 'svn' port numbers in etc/services, xinetd template
Enhancement: 'svn' port numbers in etc/services, xinetd template
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 10:49 EDT by Dams
Modified: 2008-05-01 11:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dams 2004-05-09 10:49:43 EDT
The subversion package doesnt add those 2 lines to the /etc/services
file :

svn    3690/tcp        # Subversion
svn    3690/udp        # Subversion


Maybe it could do it ?
And here is a template for the svnserve service through xinetd.
/etc/xinetd.d/svnserve :

# default: off
# description: The Subversion server.
service svn
{
        disable = yes
        socket_type             = stream
        wait                    = no
        user                    = root
        server                  = /usr/bin/svnserve
        server_args             = --inetd
        log_on_success          += HOST USERID
        log_on_failure          += HOST
}

If you dont add port lines into etc/services, xinetd wont start unless
you add a 'port = 3690' line into this xinetd service file.

I dont suggest this file to be verbatim-included as
/etc/xinetd.d/svnserve without a 'root' directory (like
/var/subversion, or /srv/subversion.. whatever..) which may be the
location for subversion repositories. If such a root directory is
created in the package (%dir /path/to/subversion), then remember to
add '--root /path/to/subversion' on the server_args line.

And i dont think svnserve needs to be root, so a dedicated user might
be Good Thing(tm).

This xinetd file thingy could be included as part of the package
documentation.
Comment 1 Kenneth Porter 2004-06-19 00:16:34 EDT
http://www.iana.org/assignments/port-numbers

Note that svn was added in January 2003.

See also bug 82104.
Comment 2 Jason Tibbitts 2005-01-20 11:42:21 EST
The /etc/services issue seems to be resolved as of FC3.
Comment 3 Joe Orton 2005-01-20 11:48:04 EST
And also /etc/xinetd.d is owned by filesystem now which is also very useful.

Note You need to log in before you can comment on or make changes to this bug.